net.sf.saxon.event

## Interface LocationProvider

- All Known Subinterfaces:
    InstructionInfo, SaxonLocator, SourceLocationProvider
  All Known Implementing Classes:
    Abs, AbsentExtensionElement, AccumulatorFunctionCallEE, AccumulatorFunctionCallPE, AdjacentTextNodeMerger, Adjust, Aggregate, AnalyzeString, AnalyzeStringFn, AndExpression, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, AttributeCreator, AttributeSet, Available, AvailableEnvironmentVariables, Average, AxisExpression, BaseURI, BasicUpdatingExpression, BinaryExpression, Block, BooleanExpression, BooleanFn, BreakInstr, CallTemplate, CardinalityChecker, CastableExpression, CastableToList, CastableToUnion, CastExpression, CastingExpression, CastToList, CastToUnion, Ceiling, Choose, ClauseInfo, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompiledExpression, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextItemExpression, Copy, CopyModifyExpression, CopyOf, CopyOfFn, Count, Current, CurrentDateTime, CurrentGroup, CurrentGroupingKey, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, DocumentFn, DocumentInstr, DocumentSorter, DocumentUriFn, DOMSender, EagerLetExpression, ElementAvailable, ElementCreator, Empty, EmptyTextNodeRemover, EndsWith, EnvironmentVariable, EquivalenceComparison, Error, ErrorExpression, EscapeURI, EvaluateInstr, Exists, Expression, ExpressionLocation, ExpressionParser.TemporaryContainer, ExtensionInstruction, False, FilterExpression, FilterFn, FirstItemExpression, FixedAttribute, FixedElement, Floor, FLWORExpression, FoldLeftFn, FoldRightFn, ForEach, ForEachFn, ForEachGroup, ForEachPairFn, ForExpression, Fork, FormatDate, FormatInteger, FormatNumber, FunctionArity, FunctionAvailable, FunctionCall, FunctionLiteral, FunctionLookup, FunctionName, FunctionSequenceCoercer, GeneralComparison, GeneralComparison10, GeneralComparison20, GeneralComparisonEE, GenerateId, GlobalParam, GlobalVariable, GroupVariableReference, HasChildren, HeadFn, HomogeneityChecker, Id, IdentityComparison, Idref, IndexedFilterExpression, IndexedLookupExpression, IndexOf, Innermost, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, InstructionDetails, IntegerRangeTest, IntegratedFunctionCall, IsLastExpression, ItemChecker, IterateInstr, JavaExtensionFunctionCall, KeyDefinition, KeyFn, Lang, Last, LastItemExpression, LetExpression, Literal, LiteralResultElement, LocalNameFn, LocalParamBlock, LocalParamSetter, LocalVariableReference, LocationCopier, LocationMap, LowerCase, Matches, Max, MemoFunction, MergeInstr, Message, Min, Minimax, MultithreadedApplyTemplates, MultithreadedForEach, NameFn, NamespaceConstructor, NamespaceForPrefix, NamespaceUriFn, NegateExpression, NextIteration, NextMatch, Nilled, NodeNameFn, NormalizeSpace_0, NormalizeSpace_1, NormalizeUnicode, NotFn, NumberFn, NumberInstruction, OrExpression, OuterForExpression, Outermost, ParentNodeConstructor, ParentNodeExpression, ParseJsonFn, ParseXml, ParseXmlFragment, PartialApply, Path, PatternSponsor, Position, Procedure, ProcessingInstruction, ProcessRegexMatchInstruction, Put, QNameFn, QuantifiedExpression, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, Reverse, Root, RootExpression, Round, RoundHalfToEven, SaxonAssign, SaxonCallTemplate, SaxonCollation, SaxonDoctype, SaxonEntityRef, SaxonImportQuery, SaxonWhile, Serialize, SerializeJsonFn, SimpleExpression, SimpleNodeConstructor, SimpleStepExpression, SingleItemFilter, SingleNodeExpression, SingletonAtomizer, SingletonIntersectExpression, SlashExpression, SnapshotFn, SortExpression, SQLClose, SQLColumn, SQLConnect, SQLDelete, SQLExecute, SQLInsert, SQLQuery, SQLUpdate, StartsWith, StaticBaseURI, StaxBridge, StaxToEventBridge, StreamingApplyTemplates, StreamingCopy, StreamInstr, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, StyleElement, SubscriptExpression, Subsequence, Substring, SubstringAfter, SubstringBefore, Sum, SuppliedParameterReference, SwitchExpression, SystemFunctionCall, SystemProperty, TailCallLoop, TailExpression, TailFn, Template, TinyTreeEventIterator, Tokenize, Trace, TraceExpression, Translate, TreatFn, True, TryCatch, TupleExpression, TypeAvailable, UnaryExpression, UndeclaredVariable, Unordered, UnparsedEntity, UnparsedText, UnparsedTextAvailable, UnparsedTextLines, UntypedSequenceConverter, UpperCase, UriCollection, UseAttributeSets, UserFunction, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, XPathFunctionCall, XQueryFunction, XSLAccumulator, XSLAccumulatorRule, XSLAnalyzeString, XSLApplyImports, XSLApplyTemplates, XSLAssert, XSLAttribute, XSLAttributeSet, XSLBreak, XSLBreakOrContinue, XSLCallTemplate, XSLCatch, XSLCharacterMap, XSLChoose, XSLComment, XSLCopy, XSLCopyOf, XSLDecimalFormat, XSLDocument, XSLElement, XSLEvaluate, XSLFallback, XSLForEach, XSLForEachGroup, XSLFork, XSLFunction, XSLGeneralIncorporate, XSLGeneralVariable, XSLGlobalParam, XSLGlobalVariable, XSLIf, XSLImport, XSLImportSchema, XSLInclude, XSLIterate, XSLKey, XSLLeafNodeConstructor, XSLLocalParam, XSLLocalVariable, XSLMap, XSLMapEntry, XSLMatchingSubstring, XSLMerge, XSLMergeAction, XSLMergeKey, XSLMergeSource, XSLMessage, XSLMode, XSLNamespace, XSLNamespaceAlias, XSLNextIteration, XSLNextMatch, XSLNumber, XSLOnCompletion, XSLOtherwise, XSLOutput, XSLOutputCharacter, XSLPerformSort, XSLPreserveSpace, XSLProcessingInstruction, XSLResultDocument, XSLSequence, XSLSort, XSLSortOrMergeKey, XSLStream, XSLStylesheet, XSLTemplate, XSLText, XSLTry, XSLValueOf, XSLWhen, XSLWithParam

      public interface LocationProvider

  LocationProvider: this interface represents an object that provides the location of elements in a source document or instructions in a stylesheet or query. A locationProvider may be passed down the Receiver pipeline as part of the PipelineConfiguration object; on the input pipeline, this will be a `SaxonLocator` object, on the output pipeline, it will be a `LocationMap`

  A LocationProvider that represents locations in the source document from which the events are derived (as distinct from locations in a query or stylesheet of the instructions causing the events) will also implement the marker interface `SourceLocationProvider`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber(long locationId)` Get the column number within the document, entity, or module containing a particular location
    `int` | `getLineNumber(long locationId)` Get the line number within the document, entity or module containing a particular location
    `String` | `getSystemId(long locationId)` Get the URI of the document, entity, or module containing a particular location

- - ### Method Detail

    - #### getSystemId

          String getSystemId(long locationId)

      Get the URI of the document, entity, or module containing a particular location
      Parameters:
        `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
      Returns:
        the URI of the document, XML entity or module. For a SourceLocationProvider this will be the URI of the document or entity (the URI that would be the base URI if there were no xml:base attributes). In other cases it may identify the query or stylesheet module currently being executed.

    - #### getLineNumber

          int getLineNumber(long locationId)

      Get the line number within the document, entity or module containing a particular location
      Parameters:
        `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
      Returns:
        the line number within the document, entity or module, or -1 if no information is available.

    - #### getColumnNumber

          int getColumnNumber(long locationId)

      Get the column number within the document, entity, or module containing a particular location
      Parameters:
        `locationId` - identifier of the location in question (as passed down the Receiver pipeline)
      Returns:
        the column number within the document, entity, or module, or -1 if this is not available

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.